Subject: Re: TG3 fix for slow switches (Was: TG3 driver failure on HP 16-way)

From: "David S. Miller" <[email-masked]>
Date: Wed, 22 Dec 2004 20:31:38 -0800

On Wed, 22 Dec 2004 16:02:44 -0800
"Michael Chan" <[email-masked]> wrote:

> David, While the 2nd patch or something similar should be applied, I
> think the underlying cause of tg3_readphy() returning error should be
> further investigated.

Would this condition be possible if something, such as ASF, were
continually polling the PHY in parallel with the driver?

On the other hand, it doesn't seem so foreign for the PHY to
block out register accesses for long periods of time for various
reasons.

But yes I'd also like to know more about exactly what is going on
in this case.